# Build configuration

%ifarch %{arm} aarch64 %{ix86}
%define build_docs         0
%else
%define build_docs         1
%endif

# Versioning

%define qtmajor 5
%define qtminor 15
%define qtsubminor 12
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define rel 3

%define snapshot 0

%if 0%{?snapshot}
%define pre rc
%endif

%define qttarballdir qtlocation-everywhere-opensource-src-%{qtversion}%{?pre:-%{pre}}

# Library names

%define libqtpositioning      %mklibname qt5positioning %{qtmajor}
%define libqtpositioning_d    %mklibname qt%{qtmajor}positioning -d

%define libqtpositioningquick %mklibname qt5positioningquick %{qtmajor}

%define libqtlocation         %mklibname qt5location %{qtmajor}
%define libqtlocation_d       %mklibname qt%{qtmajor}location -d

Name:           qtlocation5
Version:        %{qtversion}
Release:        %mkrel %{rel}
Summary:        Qt%{qtmajor} Location component
Group:          Development/KDE and Qt
License:        LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:            https://www.qt.io
Source0:        https://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
# from kde/5.15 P0002->P0004
%define mapboxgl_commit 4c88f2c0e61daa89f584a8a9a3eba210221c6920
Source1:        https://invent.kde.org/qt/qt/qtlocation-mapboxgl/-/archive/%{mapboxgl_commit}/qtlocation-mapboxgl-%{mapboxgl_commit}.tar.gz

# Upstream patches
# https://community.kde.org/Qt5PatchCollection
## repo: https://invent.kde.org/qt/qt/qtlocation
## branch: kde/5.15
## git format-patch v5.15.12-lts-lgpl
Patch0001:      0001-Fix-appendChildNode-call.patch
Source0002:     0002-Update-mapbox-gl-native.patch
Source0003:     0003-Update-mapbox-gl-native.patch
Source0004:     0004-Update-mapbox-gl-native.patch
Patch0005:      0005-Fix-build-of-Qt.labs.location-QML-plugin.patch
Patch0006:      0006-Fix-HereMap-plugin-not-supporting-authentication-via.patch

BuildRequires:  qtbase5-devel >= %{version}
BuildRequires:  pkgconfig(Qt5Quick) >= %{version}
BuildRequires:  pkgconfig(Qt5Qml) >= %{version}
BuildRequires:  pkgconfig(geoclue-2.0)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(icu-i18n)
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(libssl)

Provides:       qt%{qtmajor}-qtlocation = %{version}-%{release}

#Branch Patchs

#Trunk Patchs

#Patch from Mageia

%description
Qt%{qtmajor} Location component.

%files
%{_qt5_qml}/QtLocation/
%{_qt5_qml}/Qt/labs/location/
%{_qt5_examplesdir}/location/
%{_qt5_plugindir}/geoservices/

#------------------------------------------------------------------------------

%if %{build_docs}
%package        doc
Summary:        QtLocation%{qtmajor} APIs and tools docs
Group:          Documentation
BuildArch:      noarch
BuildRequires:  qttools5
# This one is required to build QCH-format documentation
# for APIs and tools in this package set
BuildRequires:  qttools5-assistant
Recommends:     qttools5-assistant

%description doc
Documentation for APIs and tools in QtLocation%{qtmajor} package for use with
Qt Assistant.

%files doc
%{_qt5_docdir}/qtlocation.qch
%{_qt5_docdir}/qtlocation/
%{_qt5_docdir}/qtpositioning.qch
%{_qt5_docdir}/qtpositioning/
%endif

#------------------------------------------------------------------------------

%package -n     qtpositioning5
Summary:        Qt%{qtmajor} Positioning Component
Group:          System/Libraries
Requires:       %{libqtpositioning} = %{version}
Provides:       qt5positioning = %{version}

%description -n qtpositioning5
Qt%{qtmajor} Positioning Component.

The Positioning module provides positioning information via QML
and C++ interfaces.

%files -n qtpositioning5
%{_qt5_qml}/QtPositioning/
%{_qt5_plugindir}/position/

#------------------------------------------------------------------------------

%package -n     %{libqtpositioning}
Summary:        Qt%{qtmajor} Positioning Component Library
Group:          System/Libraries

%description -n %{libqtpositioning}
Qt%{qtmajor} Positioning Component Library.

The Positioning module provides positioning information via QML
and C++ interfaces.

%files -n %{libqtpositioning}
%{_qt5_libdir}/libQt5Positioning.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtpositioningquick}
Summary:        Qt%{qtmajor} Positioning Component Library
Group:          System/Libraries

%description -n %{libqtpositioningquick}
Qt%{qtmajor} Positioning Component Library.

The Positioning module provides positioning information via QML
and C++ interfaces.

%files -n %{libqtpositioningquick}
%{_qt5_libdir}/libQt5PositioningQuick.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtpositioning_d}
Summary:        Devel files needed to build apps based on QtPositioning
Group:          Development/KDE and Qt
Requires:       qtpositioning5 = %{version}
Requires:       %{libqtpositioning} = %{version}
Requires:       %{libqtpositioningquick} = %{version}
Provides:       libqtpositioning5-devel = %{version}
Provides:       libqt5positioning-devel = %{version}
Provides:       qtpositioning5-devel = %{version}
Provides:       qt5positioning-devel = %{version}

Provides:       libqtpositioning5-private-devel = %{version}
Provides:       libqt5positioning-private-devel = %{version}
Provides:       qtpositioning5-private-devel = %{version}
Provides:       qt5positioning-private-devel = %{version}

Provides:       libqtpositioningquick5-private-devel = %{version}
Provides:       libqt5positioningquick-private-devel = %{version}
Provides:       qtpositioningquick5-private-devel = %{version}
Provides:       qt5positioningquick-private-devel = %{version}

%description -n %{libqtpositioning_d}
Devel files needed to build apps based on Qt Positioning.

%files -n %{libqtpositioning_d}
%{_qt5_libdir}/libQt5Positioning.prl
%{_qt5_libdir}/libQt5Positioning.so
%{_qt5_libdir}/libQt5PositioningQuick.prl
%{_qt5_libdir}/libQt5PositioningQuick.so
%{_qt5_libdir}/pkgconfig/Qt5Positioning.pc
%{_qt5_libdir}/pkgconfig/Qt5PositioningQuick.pc
%{_qt5_libdir}/cmake/Qt5Positioning/
%{_qt5_libdir}/cmake/Qt5PositioningQuick/
%{_qt5_examplesdir}/positioning
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_positioning.pri
%{_qt5_includedir}/QtPositioning/
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_positioning_private.pri
%{_qt5_includedir}/QtPositioningQuick/
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_positioningquick.pri
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_positioningquick_private.pri

#------------------------------------------------------------------------------

%package -n     %{libqtlocation}
Summary:        Qt%{qtmajor} Location Component Library
Group:          System/Libraries

%description -n %{libqtlocation}
Qt%{qtmajor} Location Component Library.

The Location module provides location information via QML and C++ interfaces.

%files -n %{libqtlocation}
%{_qt5_libdir}/libQt5Location.so.%{qtmajor}{,.*}

#------------------------------------------------------------------------------

%package -n     %{libqtlocation_d}
Summary:        Devel files needed to build apps based on QtLocation
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}
Requires:       %{libqtlocation} = %{version}
Provides:       libqtlocation5-devel = %{version}
Provides:       libqt5location-devel = %{version}
Provides:       qtlocation5-devel = %{version}
Provides:       qt5location-devel = %{version}

Provides:       libqtlocation5-private-devel = %{version}
Provides:       libqt5location-private-devel = %{version}
Provides:       qtloation5-private-devel = %{version}
Provides:       qt5location-private-devel = %{version}

%description -n %{libqtlocation_d}
Devel files needed to build apps based on Qt Location.

%files -n %{libqtlocation_d}
%{_qt5_libdir}/cmake/Qt5Location
%{_qt5_libdir}/libQt5Location.prl
%{_qt5_libdir}/libQt5Location.so
%{_qt5_libdir}/pkgconfig/Qt5Location.pc
%{_qt5_includedir}/QtLocation/
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_location.pri
%{_qt5_archdatadir}/mkspecs/modules/qt_lib_location_private.pri

#------------------------------------------------------------------------------

%prep
%autosetup -p1 -n qtlocation-everywhere-src-%{qtversion} -a1

rm -rf src/3rdparty/mapbox-gl-native/*
mv qtlocation-mapboxgl-%{mapboxgl_commit}/* src/3rdparty/mapbox-gl-native/

%build
%qmake_qt5
%make_build

%if %{build_docs}
%__make docs
%endif

%install
%make_install INSTALL_ROOT=%{buildroot}

%if %{build_docs}
%make_install install_docs INSTALL_ROOT=%{buildroot}
%endif

# .la and .a files, die, die, die.
find %{buildroot} -name '*.la' -delete


%changelog
* Wed Sep 25 2024 daviddavid <daviddavid> 5.15.12-3.mga10
+ Revision: 2101225
- disable long time deprecated gypsy support

* Wed Jan 17 2024 daviddavid <daviddavid> 5.15.12-2.mga10
+ Revision: 2031782
- update qtlocation-mapboxgl 3rdparty from kde/5.15 branch
- Update QT/KDE Collection Patches

* Tue Jan 09 2024 neoclust <neoclust> 5.15.12-1.mga10
+ Revision: 2029323
- New version 5.15.12

* Tue Oct 10 2023 daviddavid <daviddavid> 5.15.7-3.mga10
+ Revision: 1994114
- rebuild for icu73

* Sat Jan 07 2023 squidf <squidf> 5.15.7-2.mga9
+ Revision: 1931161
- Mass rebuild for icu 72.1

* Sat Dec 03 2022 neoclust <neoclust> 5.15.7-1.mga9
+ Revision: 1915438
- New version 5.15.7

* Sat Sep 10 2022 neoclust <neoclust> 5.15.6-1.mga9
+ Revision: 1886280
- New version 5.15.6

* Sat Aug 27 2022 neoclust <neoclust> 5.15.5-1.mga9
+ Revision: 1881340
- New version 5.15.5

* Sat Jun 18 2022 squidf <squidf> 5.15.2-5.mga9
+ Revision: 1864892
- rebuild for icu 71.1

* Mon Apr 04 2022 umeabot <umeabot> 5.15.2-4.mga9
+ Revision: 1843774
- Mageia 9 Mass Rebuild

* Thu Oct 07 2021 neoclust <neoclust> 5.15.2-3.mga9
+ Revision: 1749938
- Remove examples from qtpositioning5 package, in order to fix conflicts

* Tue Aug 03 2021 luigiwalser <luigiwalser> 5.15.2-2.mga9
+ Revision: 1738964
- rebuild for icu

* Fri Dec 04 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652455
- New version 5.15.2

* Mon Nov 30 2020 luigiwalser <luigiwalser> 5.15.1-2.mga8
+ Revision: 1650922
- rebuild for icu

* Sat Sep 12 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1624907
- New version 5.15.1

* Wed Jul 01 2020 wally <wally> 5.15.0-3.mga8
+ Revision: 1601058
- rebuild for icu 67.1

* Fri Jun 05 2020 daviddavid <daviddavid> 5.15.0-2.mga8
+ Revision: 1590456
- add missing dependencies on devel sub-pkgs

* Wed Jun 03 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1589820
- New version 5.15.0

* Sat Apr 04 2020 wally <wally> 5.14.1-3.mga8
+ Revision: 1564495
- rebuild for new icu 66.1

* Thu Feb 20 2020 umeabot <umeabot> 5.14.1-2.mga8
+ Revision: 1545409
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 5.14.1-1.mga8
+ Revision: 1484396
- New version 5.14.1

* Sat Oct 05 2019 daviddavid <daviddavid> 5.13.1-2.mga8
+ Revision: 1449436
- rebuild for new icu 65.1

* Sun Sep 08 2019 neoclust <neoclust> 5.13.1-1.mga8
+ Revision: 1438489
- New version 5.13.1

* Thu Aug 22 2019 daviddavid <daviddavid> 5.13.0-3.mga8
+ Revision: 1431298
- port to Geoclue 2

* Sun Jul 14 2019 neoclust <neoclust> 5.13.0-2.mga8
+ Revision: 1421387
- Rebuild for new mkspecs macros

* Thu Jul 04 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1418140
- New version 5.13.0

* Mon Apr 01 2019 umeabot <umeabot> 5.12.2-2.mga7
+ Revision: 1384445
- Qt5 Rebuild

* Mon Mar 18 2019 neoclust <neoclust> 5.12.2-1.mga7
+ Revision: 1378536
- New version 5.12.2

* Fri Feb 01 2019 neoclust <neoclust> 5.12.1-1.mga7
+ Revision: 1362281
- New version 5.12.1

* Fri Jan 11 2019 daviddavid <daviddavid> 5.12.0-2.mga7
+ Revision: 1354815
- rebuild for new icu

* Sun Dec 09 2018 neoclust <neoclust> 5.12.0-1.mga7
+ Revision: 1339136
- New version 5.12.0

* Tue Oct 09 2018 neoclust <neoclust> 5.11.2-1.mga7
+ Revision: 1319025
- New version 5.11.2

* Mon Aug 27 2018 daviddavid <daviddavid> 5.11.1-2.mga7
+ Revision: 1254938
- rebuild for new icu

* Sun Jul 29 2018 neoclust <neoclust> 5.11.1-1.mga7
+ Revision: 1245812
- New version 5.11.1

* Mon May 28 2018 neoclust <neoclust> 5.11.0-1.mga7
+ Revision: 1232682
- Fix file list
- New version 5.11.0

* Mon Apr 09 2018 neoclust <neoclust> 5.10.1-1.mga7
+ Revision: 1216506
- New version 5.10.1

* Fri Mar 02 2018 neoclust <neoclust> 5.9.4-1.mga7
+ Revision: 1206144
- New version 5.9.4

* Fri Dec 29 2017 wally <wally> 5.9.3-1.mga7
+ Revision: 1187027
- really update to 5.9.3
- rebuild for new icu
+ neoclust <neoclust>
- New version 5.9.3

* Fri Aug 04 2017 neoclust <neoclust> 5.9.1-2.mga7
+ Revision: 1134750
- New version 5.9.1

* Thu Nov 03 2016 neoclust <neoclust> 5.6.2-1.mga6
+ Revision: 1064860
- New version 5.6.2

* Fri Sep 02 2016 daviddavid <daviddavid> 5.6.1-3.mga6
+ Revision: 1049783
- build missing docs part (mga#9812)
- add qtlocation5-doc subpackage

* Sun Jul 03 2016 neoclust <neoclust> 5.6.1-2.mga6
+ Revision: 1038375
- Update to version 5.6.1-1
- New version

* Thu Mar 17 2016 neoclust <neoclust> 5.6.0-1.mga6
+ Revision: 992488
+ rebuild (emptylog)

* Wed Mar 09 2016 neoclust <neoclust> 5.6.0-0.rc.2.mga6
+ Revision: 987942
- Rebuild Qt5 Stack to fix plasma crashes

* Sun Feb 28 2016 neoclust <neoclust> 5.6.0-0.rc.1.mga6
+ Revision: 980611
+ rebuild (emptylog)

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.4.mga6
+ Revision: 915944
- Rebuild against new cmake to have cmake() provides

* Sun Dec 27 2015 neoclust <neoclust> 5.6.0-0.beta.3.mga6
+ Revision: 915805
- Rebuild against new cmake to have cmake() provides

* Sun Dec 20 2015 neoclust <neoclust> 5.6.0-0.beta.2.mga6
+ Revision: 912733
- Remove private devel packages

* Fri Dec 18 2015 neoclust <neoclust> 5.6.0-0.beta.1.mga6
+ Revision: 911692
- New version 5.6.0 Beta

* Tue Nov 10 2015 neoclust <neoclust> 5.5.1-2.mga6
+ Revision: 900347
- Rebuild against fixed qtbase5

* Fri Oct 23 2015 neoclust <neoclust> 5.5.1-1.mga6
+ Revision: 894498
- New version

* Sun Jul 12 2015 filipesaraiva <filipesaraiva> 5.5.0-1.mga6
+ Revision: 853381
- Update to Qt 5.5.0 version;
- Fix URL to new address qt.io;

* Tue Jun 23 2015 neoclust <neoclust> 5.5.0-0.rc.1.mga6
+ Revision: 840367
- New version 5.5 rc

* Sat Dec 13 2014 neoclust <neoclust> 5.4.0-1.mga5
+ Revision: 802870
- New version 5.4.0

* Sun Dec 07 2014 neoclust <neoclust> 5.3.2-1.mga5
+ Revision: 801808
- New version 5.3.2

* Wed Oct 15 2014 umeabot <umeabot> 5.3.1-3.mga5
+ Revision: 746147
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.3.1-2.mga5
+ Revision: 688549
- Mageia 5 Mass Rebuild

* Thu Jun 26 2014 fwang <fwang> 5.3.1-1.mga5
+ Revision: 639782
- 5.3.1

* Tue May 20 2014 fwang <fwang> 5.3.0-1.mga5
+ Revision: 624084
- 5.3.0 final

* Fri May 09 2014 fwang <fwang> 5.3.0-0.rc.1.mga5
+ Revision: 621465
- 5.3.0 rc

* Sun Apr 06 2014 fwang <fwang> 5.3.0-0.beta.1.mga5
+ Revision: 612308
- 5.3.0beta

* Mon Mar 03 2014 neoclust <neoclust> 5.3.0-0.alpha.1.mga5
+ Revision: 598866
- New version 5.3.0-alpha

* Mon Feb 17 2014 fwang <fwang> 5.2.1-3.mga5
+ Revision: 593315
- fix libpkgname

* Mon Feb 17 2014 fwang <fwang> 5.2.1-2.mga5
+ Revision: 593259
- fix provides

* Mon Feb 17 2014 fwang <fwang> 5.2.1-1.mga5
+ Revision: 593238
- update file list
- update file list
- add more br
- add more br
- imported package qtlocation5

